# Uses of Class
javafx.css.PseudoClass

Packages that use PseudoClass
Package
Description
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of PseudoClass in javafx.css

Methods in javafx.css that return PseudoClass
Modifier and Type
Method
Description
`static PseudoClass`
PseudoClass.`getPseudoClass(String pseudoClass)`
There is only one PseudoClass instance for a given pseudoClass.
Methods in javafx.css that return types with arguments of type PseudoClass
Modifier and Type
Method
Description
`ObservableSet<PseudoClass>`
Styleable.`getPseudoClassStates()`
Return the pseudo-class state of this Styleable.
Method parameters in javafx.css with type arguments of type PseudoClass
Modifier and Type
Method
Description
`boolean`
CompoundSelector.`stateMatches(Styleable styleable, Set<PseudoClass> states)`
`abstract boolean`
Selector.`stateMatches(Styleable styleable, Set<PseudoClass> state)`
Determines whether the current state of the node and its parents matches the pseudo-classes defined (if any) for this selector.
`boolean`
SimpleSelector.`stateMatches(Styleable styleable, Set<PseudoClass> states)`

## Uses of PseudoClass in javafx.scene

Methods in javafx.scene that return types with arguments of type PseudoClass
Modifier and Type
Method
Description
`final ObservableSet<PseudoClass>`
Node.`getPseudoClassStates()`
Methods in javafx.scene with parameters of type PseudoClass
Modifier and Type
Method
Description
`final void`
Node.`pseudoClassStateChanged(PseudoClass pseudoClass, boolean active)`
Used to specify that a pseudo-class of this Node has changed.

## Uses of PseudoClass in javafx.scene.control

Methods in javafx.scene.control that return types with arguments of type PseudoClass
Modifier and Type
Method
Description
`final ObservableSet<PseudoClass>`
MenuItem.`getPseudoClassStates()`
Return the pseudo-class state of this Styleable.
`final ObservableSet<PseudoClass>`
PopupControl.`getPseudoClassStates()`
Return the pseudo-class state of this Styleable.
`final ObservableSet<PseudoClass>`
Tab.`getPseudoClassStates()`
Return the pseudo-class state of this Styleable.
`final ObservableSet<PseudoClass>`
TableColumnBase.`getPseudoClassStates()`
Return the pseudo-class state of this Styleable.
Methods in javafx.scene.control with parameters of type PseudoClass
Modifier and Type
Method
Description
`final void`
PopupControl.`pseudoClassStateChanged(PseudoClass pseudoClass, boolean active)`
`final void`
SkinBase.`pseudoClassStateChanged(PseudoClass pseudoClass, boolean active)`
Used to specify that a pseudo-class of this Node has changed.